	<?php
	/**
	* Created by PhpStorm.
	* User: ahmad
	* Date: 20/08/2019
	* Time: 11:48 AM
	*/

	require_once("../connection.php");
	
	$key=mysqli_real_escape_string($connect, $_GET['key']);


	$getusers	= mysqli_query($connect,"SELECT * FROM users WHERE id_session='$key'");
	$u	   		= mysqli_fetch_array($getusers);
	$jumlah   	= mysqli_num_rows($getusers);
	
	$masterakun = mysqli_query($connect,"SELECT * FROM users WHERE phone_number='$u[master]'");
	$m=mysqli_fetch_array($masterakun);


	if ($jumlah > 0){
		if($m['packages']=='1'){
			$type="premium";
		}else{
			$type="free";
		}
		
		if($u['level']=='master'){
	$query = "SELECT * FROM store WHERE user='$u[phone_number]' AND status='0'";
	$dataomset = mysqli_query($connect,"SELECT SUM(totalorder) as total FROM sales_data WHERE user='$m[phone_number]'  AND status NOT IN ('cancel')");
		}else{
	$query = "SELECT * FROM store WHERE id_store='$u[id_store]' AND status='0'";
	$dataomset = mysqli_query($connect,"SELECT SUM(totalorder) as total FROM sales_data WHERE operator='$u[phone_number]'  AND status NOT IN ('cancel')");
		}
	$hasil = mysqli_query($connect,$query);
	$n=mysqli_fetch_array($dataomset);

	if($n['total']==''){
	$omset=0;
	}else{
	$omset= $n['total'];
	}
	
	$myDate1b = date('Y-m-01');
	$myDate2b = date('Y-m-31');
	
	$datatransaksi = mysqli_query($connect,"SELECT SUM(totalorder) as totalod FROM sales_data 
											WHERE id_store='$u[id_store]'
											AND status NOT IN ('cancel')
											AND date>='$myDate1b' 
											AND date<='$myDate2b'");
	$dt=mysqli_fetch_array($datatransaksi);
	if($dt['totalod']==''){
	$transaksi=0;
	}else{
	$transaksi= $dt['totalod'];
	}
	
	$dataorder = mysqli_query($connect,"SELECT SUM(amount) as amounts FROM sales 
											WHERE id_store='$u[id_store]'
											AND status NOT IN ('cancel')
											AND date>='$myDate1b' 
											AND date<='$myDate2b'");
	$do=mysqli_fetch_array($dataorder);
	if($do['amounts']==''){
	$order=0;
	}else{
	$order= $do['amounts'];
	}

	if(mysqli_num_rows($hasil) > 0 ){
	$response = array(
    'status' 	=> 'true',
    'errCode' 	=> '01',
	'msg' 		=> 'Success'
	);
	$response["data"] = array();
	while($x = mysqli_fetch_array($hasil)){
	$mastertoko = mysqli_query($connect,"SELECT * FROM store WHERE user='$u[master]'");
	$mt=mysqli_fetch_array($mastertoko);	
		
    $h['id_store'] 				= $x["id_store"];
    $h['name_store'] 			= "$x[name_store]";
    $h['number_store'] 			= $x["number_store"];
    $h['address'] 				= $x["address"];
    $h['email'] 				= $x["email"];
    $h['nohp'] 					= $x["nohp"];
    $h['tax'] 					= $x["tax"];
    $h['service_charge'] 		= $x["service_charge"];
    $h['saldo'] 				= "";
    $h['point'] 				= "";
	$h['transaksi'] 			= $transaksi;
    $h['order'] 				= $order;
    $h['type'] 					= $type; 
    $h['omset'] 				= $omset;
	$h['level'] 				= $u["level"];
	$h['shift'] 				= $x["shift"];
	$h['initial'] 				= $u["initial"];
	$h['footer'] 				= $u["footer"];
	$h['photo'] 			= "http://$_SERVER[HTTP_HOST]/geten/images/foto/$u[img]";

    array_push($response["data"], $h);
	}
	echo json_encode($response);
	}else {
	$response = array(
    'status' 	=> 'true',
    'errCode' 	=> '02',
	'msg' 		=> 'no data'
	);
	echo json_encode($response);
	}


	}else{
	
	
	$json = array(
    'status' => 'true',
    'errCode' => '00',
	'msg' => 'User Not Found'
	);

    echo json_encode($json);	
	}
	?>